org.jboss.jca.adapters.jdbc.local

## Class LocalManagedConnection

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnection
  - - org.jboss.jca.adapters.jdbc.local.LocalManagedConnection

- All Implemented Interfaces:
    javax.resource.spi.LocalTransaction, javax.resource.spi.ManagedConnection, org.jboss.jca.core.connectionmanager.pool.mcp.NotifyingManagedConnection, org.jboss.jca.core.spi.transaction.ConnectableResource

      public class LocalManagedConnection
      extends BaseWrapperManagedConnection
      implements javax.resource.spi.LocalTransaction

  LocalManagedConnection
  Version:
    $Revision: 71788 $
  Author:
    David Jencks, Adrian Brock

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnection

      `bundle, con, destroyed, ignoreInManagedAutoCommitCalls, inLocalTransaction, inManagedTransaction, jdbcAutoCommit, jdbcReadOnly, jdbcTransactionIsolation, mcf, metadata, props, stateLock, underlyingAutoCommit, underlyingReadOnly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalManagedConnection(LocalManagedConnectionFactory mcf, java.sql.Connection con, java.util.Properties props, int transactionIsolation, int psCacheSize)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `javax.resource.spi.LocalTransaction` | `getLocalTransaction()`
    `javax.transaction.xa.XAResource` | `getXAResource()`
    `boolean` | `isXA()` Returns true if the underlying connection is handled by an XA resource manager
    `void` | `rollback()`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.BaseWrapperManagedConnection

      `addConnectionEventListener, associateConnection, broadcastConnectionError, checkException, checkState, cleanup, destroy, getBeginRequestNotify, getConnection, getConnection, getEndRequestNotify, getLog, getLogWriter, getMetaData, getProperties, lock, notifyRequestBegin, notifyRequestEnd, removeConnectionEventListener, setBeginRequestNotify, setConnectableResourceListener, setEndRequestNotify, setLogWriter, tryLock, unlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalManagedConnection

          public LocalManagedConnection(LocalManagedConnectionFactory mcf,
                                        java.sql.Connection con,
                                        java.util.Properties props,
                                        int transactionIsolation,
                                        int psCacheSize)
                                 throws java.sql.SQLException

      Constructor
      Parameters:
        `mcf` - The managed connection factory
        `con` - The connection
        `props` - The properties
        `transactionIsolation` - The transaction isolation
        `psCacheSize` - The prepared statement cache size
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

  - ### Method Detail

    - #### getLocalTransaction

          public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                                  throws javax.resource.ResourceException

      Specified by:
        `getLocalTransaction` in interface `javax.resource.spi.ManagedConnection`
      Throws:
        `javax.resource.ResourceException`

    - #### getXAResource

          public javax.transaction.xa.XAResource getXAResource()
                                                        throws javax.resource.ResourceException

      Specified by:
        `getXAResource` in interface `javax.resource.spi.ManagedConnection`
      Throws:
        `javax.resource.ResourceException`

    - #### commit

          public void commit()
                      throws javax.resource.ResourceException

      Specified by:
        `commit` in interface `javax.resource.spi.LocalTransaction`
      Throws:
        `javax.resource.ResourceException`

    - #### rollback

          public void rollback()
                        throws javax.resource.ResourceException

      Specified by:
        `rollback` in interface `javax.resource.spi.LocalTransaction`
      Throws:
        `javax.resource.ResourceException`

    - #### begin

          public void begin()
                     throws javax.resource.ResourceException

      Specified by:
        `begin` in interface `javax.resource.spi.LocalTransaction`
      Throws:
        `javax.resource.ResourceException`

    - #### isXA

          public boolean isXA()

      Returns true if the underlying connection is handled by an XA resource manager
      Specified by:
        `isXA` in class `BaseWrapperManagedConnection`
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)